From 76726d13b5863b4d46c639fd0c6c959bca7b0620 Mon Sep 17 00:00:00 2001
From: Barun Parruck <barun.parruck@gmail.com>
Date: Sun, 6 Mar 2016 16:46:19 +0530
Subject: [PATCH 2/2] Fixes a crash on save

If you closed the project window (setting m_project_file to NULL), and tried to save, a crash would occur.
This patch extends functionality to prompt for a project name if m_project_file is NULL.
Projects can now be saved again with this workaround for now..
---
 src/Gui/MainWindow.cpp | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/src/Gui/MainWindow.cpp b/src/Gui/MainWindow.cpp
index 12a25ec..2df028a 100644
--- a/src/Gui/MainWindow.cpp
+++ b/src/Gui/MainWindow.cpp
@@ -334,7 +334,14 @@ MainWindow::initVlmcPreferences()
 void
 MainWindow::on_actionSave_triggered()
 {
-    Core::getInstance()->project()->save();
+    if ( Core::getInstance()->project()->hasProjectFile() == false )
+    {
+      this->on_actionSave_As_triggered();
+    }
+    else
+    {
+         Core::getInstance()->project()->save();
+    } 
 }
 
 void
-- 
2.3.2 (Apple Git-55)

